.navbar-toggler{
	margin-top: 15px;
}

.navbar-collapse {
	transition: all .3s ease-in-out;
}

button:focus{
	outline: none;
}
#header {
	&.fixed {
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		z-index: 1030;
		-webkit-transition: 0.3s all ease;
		-o-transition: 0.3s all ease;
		transition: 0.3s all ease;

		&.scrolled {
			&.awake {
				@include media-breakpoint-up(lg) {
					-webkit-transform: translateY(0%);
					-ms-transform: translateY(0%);
					transform: translateY(0%);
				}

				.navbar {
					background: #111827 !important;
				}
			}

			&.sleep{
				.navbar{
					background: #111827 !important;

					@include media-breakpoint-up(lg) {
						-webkit-transform: translateY(-90%);
						-ms-transform: translateY(-90%);
						transform: translateY(-90%);
						background: #00C2FF !important;
					}
				}
			}
		}
	}

	.navbar{
		padding: 0;
		max-width: 1440px;
		margin: 0 auto;
		border-bottom: 1px solid rgba(255, 255, 255, 0.15);
		transition: all .3s ease-in-out;

		#main-menu{
			position: relative;
			.navbar-toggler-icon{
				&:after{
					content:"";
					height: 2px;
					width: 20px;
					background-color: #fff;
					position: absolute;
					top: 15px;
					right: 30%;
					opacity:0;
					-webkit-transition: 0.4s; /* Safari prior 6.1 */
					transition: 0.4s;
				}

				&:before{
					content:"";
					height: 2px;
					width: 20px;
					background-color: #fff;
					position: absolute;
					top: 15px;
					right: 30%;
					opacity:0;
					-webkit-transition: 0.4s; /* Safari prior 6.1 */
					transition: 0.4s;
				}
			}

			img{
				-ms-transform: scaleX(1); /* IE 9 */
				-webkit-transform: scaleX(1); /* Safari prior 9.0 */
				transform: scaleX(1); /* Standard syntax */
				-webkit-transition: 0.4s; /* Safari prior 6.1 */
				transition: 0.4s;
			}
		}

		&.active{
			background: #111827;

			#main-menu{
				.navbar-toggler-icon{
					&:after{
						-ms-transform: rotate(45deg); /* IE 9 */
						-webkit-transform: rotate(45deg); /* Safari prior 9.0 */
						transform: rotate(45deg);
						opacity:1;
					}

					&:before{
						-ms-transform: rotate(-45deg); /* IE 9 */
						-webkit-transform: rotate(-45deg); /* Safari prior 9.0 */
						transform: rotate(-45deg);
						opacity:1;
					}
				}

				img{
					-ms-transform: scaleX(0); /* IE 9 */
					-webkit-transform: scaleX(0); /* Safari prior 9.0 */
					transform: scaleX(0); /* Standard syntax */
				}
			}
		}


		.navbar-brand {
			padding: 0;
			line-height: 60px;

			img.logo{
				max-width: 234px;
				height: auto;
				padding-left: 15px;

				@include media-breakpoint-up(md) {
					padding-left: 0;
					max-width: 369px;
				}

				@include media-breakpoint-up(lg) {
					max-width: 300px;
				}

				@include media-breakpoint-up(xl) {
					max-width: 369px;
				}
			}
		}

		ul {
			li{
				a{
					padding: 0;
					display: inline;
					line-height: 60px;
					font-size: 14px;
					color: #fff;
					position: relative;
					transition: 0.3s all ease;
					font-weight: 600;
					
					@include media-breakpoint-up(lg) {
						display: block;
					}
				}
			}
		}

		ul.navbar-nav{
			li{
				text-align: center;

				&.active, &:hover {
					 a {
						color: #DB00FF;

						@include media-breakpoint-up(lg) {
							color: #00C2FF;
						}

						&:after{
							-ms-transform: scaleX(1); /* IE 9 */
							-webkit-transform: scaleX(1); /* Safari prior 9.0 */
							transform: scaleX(1); /* Standard syntax */

							@include media-breakpoint-up(lg) {
								bottom: 0;
								background-color: #00C2FF;
							}
						}
					 }
				}

				a:after{
					content : "";
					width: 100%;
					height: 3px;
					background-color: #DB00FF;
					position: absolute;
					bottom: -5px;
					right: 0;
					-ms-transform: scaleX(0); /* IE 9 */
					-webkit-transform: scaleX(0); /* Safari prior 9.0 */
					transform: scaleX(0); /* Standard syntax */
					-webkit-transition: 0.5s; /* Safari prior 6.1 */
					transition: 0.5s;

					@include media-breakpoint-up(lg) {
						bottom: 0;
						background-color: #00C2FF;
					}
				}
			}

			li+li{

				@include media-breakpoint-up(lg) {
					margin-left: 30px;
				}

				@include media-breakpoint-up(xl) {
					margin-left: 50px;
				}
			}
		}

		ul#language{
			position: relative;
			margin: 0;
			padding: 0;
			list-style-type: none;
			margin-bottom: 30px;

			@include media-breakpoint-up(lg) {
				margin-left: 30px;
				padding: 0;
				margin-bottom: 0;
			}

			@include media-breakpoint-up(xl) {
				margin-left: 50px;
			}

			li{
				text-align: center;
				a{

					@include media-breakpoint-up(lg) {
						width: 60px;
						background-color: rgba(255, 255, 255, 0.1);
					}

					span{
						padding-left: 8px;
					}
				}

				&:hover{
					a{
						color: #DB00FF;
						font-weight: 700;

						@include media-breakpoint-up(lg) {
							color: #ffffff;
							opacity: 0.5;
						}
					}
				}
			}

			li.active{
				display: block;
			}

			li.under{
				opacity:0 !important;
				-webkit-transition: 0.3s; /* Safari prior 6.1 */
				transition: 0.3s;
				height: 0px;

				&.is_active{
					opacity:1 !important;
					-webkit-transition: 0.2s; /* Safari prior 6.1 */
					transition: 0.2s;
					height: 60px;
				}

				a{
					@include media-breakpoint-up(lg) {
						background-color: #111827 !important;
					}
				}

				&:hover{
					a{
						@include media-breakpoint-up(lg) {
							opacity :1;
							background-color: #848484 !important;
						}
					}
				}

				@include media-breakpoint-up(lg) {
					position: absolute;
					top: 102%;
					right: 0;
				}
			}
		}
	}
}